//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <map>
#include <winuser.h>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  map<char, int> m;
  int i;

  //    .
  for(i=1; i<10; i++)
  	m.insert(pair<char, int>('a'+i, i));

  char ch;
  map<char, int>::iterator p;

  p = m.begin();
  cout << ToRus(" :\n");
  while(p != m.end())
  {
  	cout << p->first << " - " << p->second << "\n";
  	p++;
  }
  //    .
  cout << ToRus(" : ");
  cin >> ch;
  p = m.find(ch);
  if(p != m.end())
  	cout << ToRus(" - ") << p->second;
  else
	cout << ToRus("  ");

  getch();
  return 0;
}
//---------------------------------------------------------------------------
